.a-input-with-label {
    position: relative;
  
    height: 5rem;
  
    &[data-exist='true'] {
        label {
            top: 0;
            left: 2px;
    
            color: #7660FE;
            font-size: 1.2rem;
            font-weight: 600;
        }
    }
  
    &[data-status='danger'] {
      label {
        color: #526375 !important;
      }
  
      input {
        border-color: #c96951 !important;
      }
    }
  
    &[disabled='true'] {
      .a-input-with-label__icon {
        background: #c5c6c7 !important;
      }
    }
  
    &[data-icon='true'] {
        &[data-icon-placement='end'] {
            .a-input-with-label__icon {
            left: unset;
            right: 1.6rem;
            }
    
            label {
            left: 0.1rem;
            }
    
            input {
            padding: 0 4.4rem 0 1.6rem;
            }
    
            &[data-exist='true'] {
            label {
                left: 2px;
            }
            }
        }
    
        label {
            left: 3.2rem;
        }
    
        &[data-exist='true'] {
            label {
            left: 3.2rem;
            }
        }
    
        input {
            padding: 1rem 1.6rem 0 4.4rem;
    
            &:focus {
            & ~ label {
                left: 3.2rem;
            }
            }
        }
    }
  
    input {
        width: 100%;
        height: 100%;
        padding: 1rem 1.6rem 0;
    
        background: #fff;
        border-radius: 10px;
        border: 0.1rem solid #d5dee8;
    
        font-family: 'inter';
        font-weight: 500;
        font-size: 15px;
        line-height: 22px;
        color: #000000;
        transition: border 0.25s;
    
        &:disabled {
            color: #c5c6c7 !important;
    
            // + label {
            //   color: #c5c6c7;
            // }
        }
    
        /* Chrome, Safari, Edge, Opera */
        &::-webkit-outer-spin-button,
        &::-webkit-inner-spin-button {
            -webkit-appearance: none;
        }
    
        /* Firefox */
        &[type='number'] {
            -moz-appearance: textfield;
        }
  
        &:focus {
            border-color: #7660FE;
    
            & ~ label {
            top: 0;
            left: 2px;
    
            color: #7660FE;
            font-size: 1.2rem;
            font-weight: 600;
            }
        }
    }
  
    .input-error {
        border: 0.1rem solid #ad4d34;
    }
  
    label {
        position: absolute;
        top: 50%;
        left: 0.1rem;
    
        padding: 0 1.6rem;
    
        font-size: 1.3rem;
        font-weight: 500;
    
        transform: translateY(-50%);
    
        transition: all 0.25s;
    
        pointer-events: none;
    
        &::before {
            position: absolute;
            bottom: 0;
            left: 1rem;
            z-index: 1;
    
            width: 100%;
            height: calc(50% + 0.05rem);
    
            // background: #fff;
    
            content: '';
        }

        &.active{
            top: 1rem !important;
        }
  
        span {
            position: relative;
            z-index: 2;
        }
    }
  
    &__icon {
        display: flex;
        justify-content: center;
        align-items: center;
        position: absolute;
        top: 50%;
        left: 1.6rem;
    
        width: 2rem;
        height: 2rem;
    
        transform: translateY(-50%);
    
        pointer-events: none;
  
        img {
            width: 100%;
            height: 100%;
    
            object-fit: contain;
            object-position: center;
        }
    }
  
    &.error {
      input {
        border-color: #dd3a09;
      }
    }
}
  
  .tooltip-number-badge-input {
    background: #fff;
    box-shadow: 0 0.4rem 0.8rem #d5dee8;
  
    color: #568745;
    font-size: 1.3rem;
    letter-spacing: -0.02rem;
    line-height: 2.2rem;
    text-align: left;
  
    &[data-type='danger'] {
      color: #c96951;
    }
}
  